<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://qconsulting.ca/fo3/ModConfig5.0.xsd">
	<moduleName>The Flying Knight</moduleName>
	<installSteps order="Explicit">
		<installStep name="Welcome!">
			<optionalFileGroups order="Explicit">
				<group name="Introduction" type="SelectExactlyOne">
					<plugins order="Explicit">
						<plugin name="I Understand">
							<description>The Flying Knight is an honorary tavern made after the death of a well-loved member of our community, Knight Flier.</description>
							<image path="FOMOD\images\Core.jpg" />
							<typeDescriptor>
								<type name="Required" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
			</optionalFileGroups>
		</installStep>
		<installStep name="Installation Type">
			<optionalFileGroups order="Explicit">
				<group name="Select Type" type="SelectExactlyOne">
					<plugins order="Explicit">
						<plugin name="Guide Install">
							<description>This is the recommended install option for users of Lexy's LOTD Guide. It depends on Legacy of the Dragonborn, Alternate Start - Live Another Life, and Keep It Clean.</description>
							<image path="FOMOD\images\Guide.jpg" />
							<conditionFlags>
								<flag name="Guide_Install">selected</flag>
							</conditionFlags>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Modular Install">
							<description>Select the modular install if you are not using Lexy's guide, or want control over which specific patches are installed.</description>
							<image path="FOMOD\images\Core.jpg" />
							<conditionFlags>
								<flag name="Modular_Install">selected</flag>
							</conditionFlags>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
			</optionalFileGroups>
		</installStep>
		<installStep name="Mod Options">
			<visible>
				<dependencies operator="And">
						<flagDependency flag="Modular_Install" value="selected" />
				</dependencies>
			</visible>
			<optionalFileGroups order="Explicit">
				<group name="Patches" type="SelectAny">
					<plugins order="Explicit">
						<plugin name="Keep It Clean">
							<description>Adds support for Keep It Clean to the tavern.</description>
							<image path="FOMOD\images\KeepItClean.jpg" />
							<files>
								<folder source="Modular\02 - Keep It Clean" destination="" priority="1" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Inns and Taverns SE">
							<description>Patches Inns and Taverns to remove the conflicting inn.</description>
							<image path="FOMOD\images\InnsAndTaverns.jpg" />
							<files>
								<folder source="Modular\02 - Inns And Taverns" destination="" priority="1" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Legacy of the Dragonborn SSE">
							<description>Adds Dragonborn Museum shipment crates outside the tavern.</description>
							<image path="FOMOD\images\LOTDMuseumShipments.jpg" />
							<files>
								<folder source="Modular\02 - LOTD Museum Shipments" destination="" priority="1" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
				<group name="Alternate Start Mod" type="SelectExactlyOne">
					<plugins order="Explicit">
						<plugin name="None">
							<description>I don't need an alternate start mod patch.</description>
							<image path="FOMOD\images\Core.jpg" />
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Alternate Perspective">
							<description>I need a patch for Alternate Perspective.</description>
							<image path="FOMOD\images\AlternatePerspective.png" />
							<files>
								<folder source="Modular\02 - Alternate Perspective" destination="" priority="1" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Alternate Start - Live Another Life">
							<description>I need a patch for Alternate Start - Live Another Life.</description>
							<image path="FOMOD\images\LiveAnotherLife.jpg" />
							<files>
								<folder source="Modular\02 - Alternate Start - Life Another Life" destination="" priority="1" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
			</optionalFileGroups>
		</installStep>
		<installStep name="Alternate Start Mod">
			<visible>
				<dependencies operator="And">
						<flagDependency flag="Guide_Install" value="selected" />
				</dependencies>
			</visible>
			<optionalFileGroups order="Explicit">
				<group name="Alternate Start Mod" type="SelectExactlyOne">
					<plugins order="Explicit">
						<plugin name="Alternate Perspective">
							<description>I am using Alternate Perspective.</description>
							<files>
								<file source="Guide\02 - Alternate Perspective\The Flying Knight.esp" destination="The Flying Knight.esp" priority="0" />
								<file source="Guide\02 - Alternate Perspective\The Flying Knight.bsa" destination="The Flying Knight.bsa" priority="0" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
						<plugin name="Alternate Start - Live Another Life">
							<description>I am using Alternate Start - Live Another Life.</description>
                            <files>
								<file source="Guide\02 - Alternate Start - Live Another Life\The Flying Knight.esp" destination="The Flying Knight.esp" priority="0" />
								<file source="Guide\02 - Alternate Start - Live Another Life\The Flying Knight.bsa" destination="The Flying Knight.bsa" priority="0" />
							</files>
							<typeDescriptor>
								<type name="Optional" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
			</optionalFileGroups>
		</installStep>
		<installStep name="Finish Installation">
			<optionalFileGroups order="Explicit">
				<group name="Ready?" type="SelectExactlyOne">
					<plugins order="Explicit">
						<plugin name="Go!">
							<description>We've got what we need! Go ahead and hit the install button to install The Flying Knight, and thanks for visiting!</description>
							<image path="FOMOD\images\Core.jpg" />
							<typeDescriptor>
								<type name="Required" />
							</typeDescriptor>
						</plugin>
					</plugins>
				</group>
			</optionalFileGroups>
		</installStep>
	</installSteps>
	<conditionalFileInstalls>
		<patterns>
			<pattern>
				<dependencies operator="And">
					<flagDependency flag="Modular_Install" value="selected" />
				</dependencies>
				<files>
					<folder source="Modular\01 - Core" destination="" priority="0" />
				</files>
			</pattern>
		</patterns>
	</conditionalFileInstalls>
</config>
